=== debian/changelog ===
nomad (0.10.5+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 23 Aug 2020 02:04:56 +0800

nomad (0.10.5+dfsg1-2) experimental; urgency=medium

  * Team upload.
  * Add patch for runc 1.0.0~rc92

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 Aug 2020 03:40:51 +0800

nomad (0.10.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Disabled "TestLeader_LeftServer" due to spurious failure on armel.
  * service: start after local-fs.target.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Mar 2020 21:03:15 +1100

nomad (0.10.4+dfsg1-3) unstable; urgency=medium

  * Disabled "TestNomad_BadExpect".
  * Disabled "TestServer_ReconcileMember".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Feb 2020 17:28:17 +1100

nomad (0.10.4+dfsg1-2) unstable; urgency=medium

  * Disabled spontaneously failing tests.
  * Longer test timeout.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Feb 2020 16:29:21 +1100

nomad (0.10.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * New upstream patches to build with Consul 1.7+.
  * Fixed build tags and exclusions:
    + tests to use the same tags
    + new tests exclusions
    + tags += "nonvidia"
  * dev: included "command" component as required by "nomad-driver-podman".
  * Standards-Version: 4.5.0.
  * (Build-)Depends:
    = golang-github-hashicorp-consul-dev (>= 1.7.0~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 21 Feb 2020 10:41:42 +1100
