## nomad 0.10.9+dfsg1

=== debian/changelog ===
nomad (0.10.9+dfsg1-1) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * New upstream release (Closes: #973166, #972795, #976593).
  * Vendor mitchellh-go-testing-interface-dev
  * Vendor hashicorp-go-plugin-dev
  * New patch to build against consul 1.8

  * lintian: Drop source-contains-empty-directory (see #907727)

  [ Dmitry Smirnov ]
  * Tightened Consul dependency version (>= 1.8.6~).

 -- Arnaud Rebillout <elboulangero@gmail.com>  Mon, 07 Dec 2020 12:02:25 +0700
