=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
     ,golang-github-gophercloud-gophercloud-dev
     ,golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427~)
     ,golang-github-gorilla-websocket-dev
-    ,golang-github-hashicorp-consul-dev (>= 1.7.0~)
+    ,golang-github-hashicorp-consul-dev (>= 1.8.6~)
     ,golang-github-hashicorp-errwrap-dev
     ,golang-github-hashicorp-go-checkpoint-dev (>= 0.0~git20170624~)
     ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
@@ -60,7 +60,7 @@
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160813~)
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-multierror-dev
-    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
+#    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.6.2~)
     ,golang-github-hashicorp-go-rootcerts-dev
     ,golang-github-hashicorp-go-sockaddr-dev
@@ -90,7 +90,7 @@
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-mitchellh-go-homedir-dev
     ,golang-github-mitchellh-go-ps-dev
-    ,golang-github-mitchellh-go-testing-interface-dev
+#    ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-go-wordwrap-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
@@ -142,7 +142,7 @@
 # bugfix/golang-google-cloud-dev=0.43.0-1:
     ,golang-google-api-dev (>= 0.7.0~)
 # tests:
-    ,consul (>= 1.7.0~)
+    ,consul (>= 1.8.6~)
     ,tzdata
 Homepage: https://github.com/hashicorp/nomad
 Vcs-Browser: https://salsa.debian.org/go-team/packages/nomad
@@ -228,7 +228,7 @@
     ,golang-github-hashicorp-go-immutable-radix-dev (>= 0.0~git20170725~)
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-multierror-dev
-    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
+#    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-rootcerts-dev
     ,golang-github-hashicorp-go-uuid-dev
     ,golang-github-hashicorp-hcl-dev (>= 0.0~git20170509~)
@@ -241,7 +241,7 @@
     ,golang-github-kr-pty-dev
     ,golang-github-lk4d4-joincontext-dev
     ,golang-github-mitchellh-copystructure-dev
-    ,golang-github-mitchellh-go-testing-interface-dev
+#    ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
     ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)
