=== debian/changelog ===
nomad (0.12.9+dfsg1-2) unstable; urgency=medium

  * dev:Depends (Closes: #980168):
    + golang-github-grpc-ecosystem-go-grpc-middleware-dev
    + golang-github-docker-docker-dev (>= 20.10.0~)

    Thanks, Shengjing Zhu.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Jan 2021 14:03:27 +1100

nomad (0.12.9+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depends:
    + golang-github-pierrec-lz4-dev
    + golang-gopkg-square-go-jose.v2-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Jan 2021 20:53:58 +1100

nomad (0.10.9+dfsg1-2) unstable; urgency=medium

  * hashicorp-go-plugin-dev MUST be a dep of nomad
  * Tightened Consul dependency version (>= 1.8.6~) (again)
  * Adjust sections, nomad -> admin, nomad-dev -> golang
  * Skip a test that requires Vault

 -- Arnaud Rebillout <elboulangero@gmail.com>  Wed, 16 Dec 2020 11:15:44 +0700
