=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: nomad
-Section: devel
+Section: admin
 Priority: optional
 Standards-Version: 4.5.0
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
@@ -31,7 +31,7 @@
     ,golang-github-datadog-datadog-go-dev
     ,golang-github-davecgh-go-spew-dev
     ,golang-github-denverdino-aliyungo-dev
-    ,golang-github-docker-docker-dev (>= 17.12.1~)
+    ,golang-github-docker-docker-dev (>= 20.10.0~)
 #     ,golang-github-docker-distribution-dev (>= 2.7.1~)
     ,golang-github-docker-go-connections-dev
     ,golang-github-docker-go-units-dev
@@ -48,6 +48,7 @@
     ,golang-github-gophercloud-gophercloud-dev
     ,golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427~)
     ,golang-github-gorilla-websocket-dev
+    ,golang-github-grpc-ecosystem-go-grpc-middleware-dev
     ,golang-github-hashicorp-consul-dev (>= 1.8.6~)
     ,golang-github-hashicorp-errwrap-dev
     ,golang-github-hashicorp-go-checkpoint-dev (>= 0.0~git20170624~)
@@ -56,11 +57,13 @@
     ,golang-github-hashicorp-go-getter-dev (>= 1.4.0~)
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-go-immutable-radix-dev (>= 0.0~git20170725~)
-#   ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
+#   ,golang-github-hashicorp-go-msgpack-dev (>= 1.1.5~)
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160813~)
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-multierror-dev
-#    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
+# We MUST depend on go-plugin-dev, even though we use a vendor copy to build.
+# Otherwise we miss its dependencies.
+    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.6.2~)
     ,golang-github-hashicorp-go-rootcerts-dev
     ,golang-github-hashicorp-go-sockaddr-dev
@@ -90,7 +93,7 @@
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-mitchellh-go-homedir-dev
     ,golang-github-mitchellh-go-ps-dev
-#    ,golang-github-mitchellh-go-testing-interface-dev
+    ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-go-wordwrap-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
@@ -101,6 +104,7 @@
     ,golang-github-opencontainers-image-spec-dev
     ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)
     ,golang-github-pkg-errors-dev
+    ,golang-github-pierrec-lz4-dev
     ,golang-github-pmezard-go-difflib-dev
     ,golang-github-posener-complete-dev
     ,golang-github-prometheus-client-golang-dev
@@ -133,6 +137,7 @@
     ,golang-google-grpc-dev (>= 1.22.1~)
     ,golang-go.opencensus-dev
     ,golang-gopkg-inf.v0-dev
+    ,golang-gopkg-square-go-jose.v2-dev
     ,golang-gopkg-tomb.v1-dev
     ,golang-gopkg-tomb.v2-dev
     ,golang-gopkg-yaml.v2-dev
@@ -165,8 +170,6 @@
     ,default-jre
 # driver-qemu:
     ,qemu-kvm | qemu-system-x86
-# driver-rkt:
-    ,rkt
 # pluggable drivers:
     ,nomad-driver-lxc
     ,nomad-driver-podman
@@ -211,24 +214,29 @@
   management.
 
 Package: golang-github-hashicorp-nomad-dev
+Section: golang
 Architecture: all
 Depends: ${misc:Depends}
     ,golang-github-armon-circbuf-dev
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20190430~)
     ,golang-github-boltdb-bolt-dev (>= 1.3.1~)
     ,golang-github-coreos-go-semver-dev
+    ,golang-github-docker-docker-dev (>= 20.10.0~)
     ,golang-github-docker-go-units-dev
     ,golang-github-golang-snappy-dev
     ,golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427~)
     ,golang-github-gorilla-websocket-dev
-    ,golang-github-hashicorp-consul-dev (>= 1.7.0~)
+    ,golang-github-grpc-ecosystem-go-grpc-middleware-dev
+    ,golang-github-hashicorp-consul-dev (>= 1.8.6~)
     ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
     ,golang-github-hashicorp-go-getter-dev (>= 1.4.0~)
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-go-immutable-radix-dev (>= 0.0~git20170725~)
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-multierror-dev
-#    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
+# We MUST depend on go-plugin-dev, even though we use a vendor copy to build.
+# Otherwise we break reverse build-deps.
+    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-rootcerts-dev
     ,golang-github-hashicorp-go-uuid-dev
     ,golang-github-hashicorp-hcl-dev (>= 0.0~git20170509~)
@@ -241,10 +249,11 @@
     ,golang-github-kr-pty-dev
     ,golang-github-lk4d4-joincontext-dev
     ,golang-github-mitchellh-copystructure-dev
-#    ,golang-github-mitchellh-go-testing-interface-dev
+    ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
     ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)
+    ,golang-github-pierrec-lz4-dev
     ,golang-github-pkg-errors-dev
     ,golang-github-ryanuber-go-glob-dev
     ,golang-github-shirou-gopsutil-dev (>= 2.18.02~)
@@ -257,16 +266,3 @@
     ,golang-golang-x-time-dev
     ,golang-google-grpc-dev (>= 1.22.1~)
     ,golang-gopkg-tomb.v1-dev
-    ,golang-goprotobuf-dev | golang-github-golang-protobuf-dev
-# hcl2:
-    ,golang-github-agext-levenshtein-dev
-    ,golang-github-mitchellh-go-wordwrap-dev
-Suggests: ${misc:Suggests}
-# Docker:
-    ,golang-github-docker-docker-dev (>= 17.12.1~)
-#     ,golang-github-docker-distribution-dev (>= 2.7.1~)
-    ,golang-github-fsouza-go-dockerclient-dev (>= 1.4.4~)
-# rkt:
-    ,golang-github-appc-spec-dev
-Description: Nomad development libraries
- Nomad interface for development of add-on drivers.
