## nomad 0.12.10%2Bdfsg1

=== debian/changelog ===
nomad (0.12.10+dfsg1-2) unstable; urgency=medium

  * Disabled "TestConfig_outgoingWrapper_OK" (Closes: #987644).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 09 May 2021 17:14:36 +1000

nomad (0.12.10+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    + CVE-2021-3283: exec-based drivers to run tasks in private PID/IPC
      namespaces (Closes: #981889).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 05 Feb 2021 16:14:14 +1100

nomad (0.12.9+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix build with runc rc93

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Feb 2021 11:14:07 +0800
