=== debian/changelog ===
nomad (0.12.10+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Adapt the upstream patch for CVE-2021-32575 and add it as
    the disable-cap-net-raw patch. Closes: #990581

 -- Peter Pentchev <roam@debian.org>  Sat, 10 Jul 2021 02:29:09 +0300
