=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Standards-Version: 4.5.0
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Build-Depends: debhelper-compat (= 12) ,bash-completion ,dh-golang (>= 1.42~) ,golang-any (>= 2:1.11~)
     ,golang-dbus-dev | golang-github-godbus-dbus-dev
     ,golang-ginkgo-dev
@@ -102,7 +102,7 @@
     ,golang-github-nytimes-gziphandler-dev (>= 1.0.1~)
     ,golang-github-opencontainers-go-digest-dev
     ,golang-github-opencontainers-image-spec-dev
-    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)
+    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc93~)
     ,golang-github-pkg-errors-dev
     ,golang-github-pierrec-lz4-dev
     ,golang-github-pmezard-go-difflib-dev
@@ -252,7 +252,7 @@
     ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
-    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)
+    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc93~)
     ,golang-github-pierrec-lz4-dev
     ,golang-github-pkg-errors-dev
     ,golang-github-ryanuber-go-glob-dev
