=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,19 @@
 
 export DH_GOLANG_GO_GENERATE := 1
 
+export GOPROXY=off
+export GO111MODULE=off
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DH_GOLANG_EXCLUDES := demo e2e internal/testing/apitests
 export DH_GOLANG_INSTALL_EXTRA = \
+    command/agent/test-resources \
     drivers/docker/test-resources \
     drivers/java/test-resources \
-    command/agent/test-resources \
+    helper/raftutil/generate_msgtypes.sh \
     jobspec/test-fixtures \
-    nomad/structs/generate.sh
+    nomad/structs/generate.sh \
+
 
 ifneq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
     MINUS:=-
@@ -28,7 +33,7 @@
 	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
 	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
 	-find vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'
-	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files
+	-find . -type f -name '*.pb.go' -not -name 'csi.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files
 
 #	Some vendored components (hashicorp/go-msgpack, github.com/ugorji/go) have un-generateable files.
 #	-find . -type f -name '*.generated.go' -delete -printf 'removed %p\n'     ## delete .generated.go files
@@ -37,13 +42,14 @@
 	dh_auto_configure
 	
 ####    Build and install "codecgen" for temporary use:
-	export DH_GOPKG="github.com/hashicorp/nomad/vendor/github.com/ugorji/go/codec" \
-	&& dh_auto_build -v \
-	&& dh_auto_install -v -- --no-source
+#	export DH_GOPKG="github.com/hashicorp/nomad/vendor/github.com/ugorji/go/codec" \
+#	&& dh_auto_build -v \
+#	&& dh_auto_install -v -- --no-source
 
 override_dh_auto_build:
 	export GOPATH=$(CURDIR)/_build \
-	&& $(MAKE) -C _build/src/github.com/hashicorp/nomad --makefile=$(CURDIR)/GNUmakefile proto
+	&& PATH="$(CURDIR)/_build/bin:$$PATH" \
+           $(MAKE) -C _build/src/github.com/hashicorp/nomad --makefile=$(CURDIR)/GNUmakefile proto
 	
 ####    Setting PATH so custom "codegen" could be found.
 	PATH="$(CURDIR)/_build/bin:$$PATH" \
