## nomad camels-1.4.3

=== requirements.txt ===
appdirs>=1.4.4
asciitree>=0.3.3
asteval>=0.9.27
asttokens>=2.0.5
attrs>=21.4.0
backcall>=0.2.0
bluesky>=1.8.3
boltons>=21.0.0
cachetools>=5.3.0
certifi>=2022.5.18.1
cloudpickle>=2.1.0
colorama>=0.4.4
cycler>=0.11.0
dask>=2023.4.0
databroker>=1.2.5
decorator>=5.1.1
doct>=1.0.5
entrypoints>=0.4
executing>=0.8.3
fastapi>=0.111.0
fasteners>=0.17.3
fonttools>=4.33.3
fsspec>=2022.5.0
future>=0.18.2
h5py>=3.7.0
HeapDict>=1.0.1
httpx
humanize>=4.1.0
idna>=3.3
imageio>=2.19.3
importlib-metadata>=6.6.0
intake>=0.6.4
ipython>=8.4.0
iso8601>=1.0.2
jedi>=0.18.1
Jinja2>=3.1.2
jsonschema>=4.6.0
kiwisolver>=1.4.2
lmfit>=1.0.3
locket>=1.0.0
MarkupSafe>=2.1.1
matplotlib>=3.5.2
mongoquery>=1.4.2
msgpack>=1.0.4
networkx>=2.8.3
numcodecs>=0.9.1
numexpr>=2.8.4
numpy>=1.22.4
ophyd>=1.6.4
packaging>=21.3
Pandas>=1.4.2
parso>=0.8.3
partd>=1.2.0
pickleshare>=0.7.5
Pillow>=9.1.1
PIMS>=0.6.1
pip>=21.1.2
Pint>=0.20.1
prettytable>=3.3.0
pyepics>=3.5.6
Pygments>=2.12.0
pyparsing>=3.0.9
pyqtgraph>=0.13.1
PySide6>=6.5.1
pyserial>=3.5
python-dateutil>=2.8.2
pymongo>=4.1.1
pyrsistent>=0.18.1
PyYAML>=6.0
pyvisa>=1.13.0
pyvisa-py>=0.7.0
qt-material>=2.12
QtPy>=2.1.0
requests>=2.28.0
scipy>=1.10.1
setuptools>=57.0.0
six>=1.16.0
slicerator>=1.1.0
suitcase-nomad-camels-hdf5>=0.3.1
tables>=3.7.0
tifffile>=2022.5.4
toolz>=0.11.2
tqdm>=4.64.0
traitlets>=5.3.0
tzlocal>=4.2
uncertainties>=3.1.7
urllib3>=1.26.9
uvicorn>=0.30.1
wcwidth>=0.2.5
wheel>=0.36.2
xarray>=2022.3.0
zarr>=2.11.3
zict>=2.2.0
